summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--kde-apps/step/Manifest1
-rw-r--r--kde-apps/step/step-20.04.3.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/kde-apps/step/Manifest b/kde-apps/step/Manifest
index a4cd8bd6416..9307bf2edaf 100644
--- a/kde-apps/step/Manifest
+++ b/kde-apps/step/Manifest
@@ -1,2 +1,3 @@
DIST step-19.12.3.tar.xz 915748 BLAKE2B 43a032bd68ad2278a0ffee22412d4e10093040934c5f68f0680164a9c3f2883d0bb826730b472c40f03b0d31b73c1792c59cb319e0645d4df67ff31e29e4d15f SHA512 af8c67a0e6678461a2536a7abdc7b27d1ed4d172bf838414c29c47ff4ed42db5e32a2c6394bfa704d3bd2de04c4186fe608da16aa6e13414de26555cbf4cd7a1
DIST step-20.04.2.tar.xz 927196 BLAKE2B 789872318e7adbe22297de857b7fa7a320db7b591ad4ff1fcaa184b89d7acab84e2d84b12912013063924f8a0b5966e6534f3bc3c0d9c256d07f9c2cd1e5be57 SHA512 8186f32bc7919c2b3eb993598e397e2efdd10d16f3b8caf582d605ec836e26aa15dae4913a5f60e29ac9d0df95fee4714d7b103f4f68a755c416c3cb1fe701d7
+DIST step-20.04.3.tar.xz 929364 BLAKE2B 273fce857039052832d1e5a295d9387a0021e847bbfb169ba88ad5c9f0b849ebe494d56a7881184be07912aee3708536c435b08ff1451927d73c701faafc6c1c SHA512 1df12a6994a0f3e62bff837fc8e0ff8fc9b4afb651f51ee1e14e4cdc80905fc21d7a9af540433e0f97a7040e2ed4968d9a81a4f868bb46b07c0c7ad1efb21f96
diff --git a/kde-apps/step/step-20.04.3.ebuild b/kde-apps/step/step-20.04.3.ebuild
new file mode 100644
index 00000000000..97f91446ed4
--- /dev/null
+++ b/kde-apps/step/step-20.04.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="optional"
+ECM_TEST="forceoptional"
+KFMIN=5.70.0
+QTMIN=5.14.2
+inherit ecm kde.org
+
+DESCRIPTION="Interactive physics simulator"
+HOMEPAGE="https://kde.org/applications/education/org.kde.step
+https://edu.kde.org/step/"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+gsl nls +qalculate"
+
+BDEPEND="
+ nls? ( >=dev-qt/linguist-tools-${QTMIN}:5 )
+"
+DEPEND="
+ >=dev-cpp/eigen-3.2:3
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtopengl-${QTMIN}:5
+ >=dev-qt/qtsvg-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=dev-qt/qtxml-${QTMIN}:5
+ >=kde-frameworks/kcompletion-${KFMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kconfigwidgets-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kcrash-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kiconthemes-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/kparts-${KFMIN}:5
+ >=kde-frameworks/kplotting-${KFMIN}:5
+ >=kde-frameworks/ktextwidgets-${KFMIN}:5
+ >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+ >=kde-frameworks/kxmlgui-${KFMIN}:5
+ sci-libs/cln
+ gsl? ( sci-libs/gsl:= )
+ qalculate? ( >=sci-libs/libqalculate-0.9.5:= )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ ecm_src_prepare
+
+ # FIXME: Drop duplicate upstream
+ sed -e '/find_package.*Xml Test/ s/^/#/' \
+ -i stepcore/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package gsl GSL)
+ $(cmake_use_find_package qalculate Qalculate)
+ )
+ ecm_src_configure
+}